Get campaign statistics
Global and per step statistics of a multichannel campaign. Computed on demand (can take several seconds) and then cached; Cache-Control: max-age=300 is set when detailed is not true. Errors are unusual here: an unknown campaign or ANY error (including an invalid parameter) returns 401, and a failure of the statistics engine can return HTTP 200 with {"error": "Error"}. For a few accounts a 503 STATS_COMPUTING with Retry-After: 30 is returned while a computation is in progress.
Authorization
apiKey Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.
In: header
Query Parameters
MongoDB ObjectId: 24 hexadecimal characters.
^[0-9a-fA-F]{24}$For multichannel campaigns the shape is always {global, steps}.
date-timedate-timeRestrict to one email provider.
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/stats/advanced?campaignId=6650f1a2b839d80011c5a0f1" \ -H "Authorization: YOUR_API_KEY"{ "global": { "contacts": 250, "contacted": 240, "replied": 18, "visited": 120, "invited": 100, "accepted": 41, "message_sent": 38, "inmail_sent": 0, "linkedin_replied": 9, "mail_replied": 9, "liked": 30, "sent": 240, "opened": 96, "clicked": 21, "bounced": 3, "unsubscribed": 2, "progress_percent": 96, "accepted_percent": 41, "opened_percent": 40, "clicked_percent": 8.75, "linkedin_replied_percent": 9, "mail_replied_percent": 3.75, "bounced_percent": 1.25, "unsubscribed_percent": 0.83 }, "steps": [ [ { "stepType": "EMAIL" } ] ]}